.TH MGETHDR 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mGetHdr \- Retrieve the header from a FITS image

.SH SYNOPSIS
mGetHdr [\-d] [\-h hdu] [\-s \fIstatusfile\fP] img.fits img.hdr

.SH DESCRIPTION
Reads in the header from a FITS image and prints it out to a text file.

.SH OPTIONS
.TP
\-d
Turns on debugging.
.TP
\-h \fIhdu\fP
Retrieve the header from the Fits extension given by \fIhdu\fP.  "0" indicates the primary FITS extension, and is the default used by \fBmGetHdr\fP.
.TP
\-s \fIstatusfile\fP
Output and errors are sent to \fIstatusfile\fP instead of to stdout

.SH ARGUMENTS
.TP
\fIimg.fits\fP
Path to FITS image from which to retrieve the header.
.TP
img.hdr
Path to text file where FITS header should be written.

.SH RESULT
Creates output file \fBimg.hdr\fP which is a text copy of the FITS header from the input image.

.SH MESSAGES
.TP
OK
[struct stat="OK", ncard=nrows]
.TP
ERROR
Cannot open status file: \fIstatusfile\fP
.TP
ERROR
HDU value (\fIhdu\fP) must be a non-negative integer
.TP
ERROR
Can't open output header file.
.TP
ERROR
\fIFITS library error\fP

.SH EXAMPLES
.PP
Running \fBmGetHdr\fP on a 2MASS Atlas image:
.TP
$ mGetHdr 2mass.fits test.hdr
[struct stat="OK", ncard=112]
.PP
This creates the text file \fBtest.hdr\fP.

.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
